#
# spec file for package rubygem-bson
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-bson
Version:        4.4.2
Release:        lp151.1.1
%define mod_name bson
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://bsonspec.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby Implementation of the BSON specification
License:        Apache-2.0
Group:          Development/Languages/Ruby

%description
A full featured BSON specification implementation, in Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.4.2
  see installed CHANGELOG.md
* Thu Feb  8 2018 coolo@suse.com
- updated to version 4.3.0
  see installed CHANGELOG.md
* Thu Aug  3 2017 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
* Tue Dec 20 2016 coolo@suse.com
- updated to version 4.2.1
  see installed CHANGELOG.md
* Wed Nov 30 2016 coolo@suse.com
- updated to version 4.2.0
  see installed CHANGELOG.md
* Sat May 21 2016 coolo@suse.com
- updated to version 4.1.1
  see installed CHANGELOG.md
* Fri Apr 15 2016 coolo@suse.com
- updated to version 4.1.0
  see installed CHANGELOG.md
* Mon Mar  7 2016 coolo@suse.com
- updated to version 4.0.4
  see installed CHANGELOG.md
* Wed Mar  2 2016 coolo@suse.com
- updated to version 4.0.3
  see installed CHANGELOG.md
* Fri Feb 19 2016 coolo@suse.com
- updated to version 4.0.2
  see installed CHANGELOG.md
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.0.1
  see installed CHANGELOG.md
* Tue Dec  8 2015 coolo@suse.com
- updated to version 4.0.0
  see installed CHANGELOG.md
* Fri Oct  9 2015 coolo@suse.com
- updated to version 3.2.6
  see installed CHANGELOG.md
  [#]# 3.2.6
  [#]## Bug Fixes
  * [#44](https://github.com/mongodb/bson-ruby/pull/44) Fixed regexp deserialization in
    conjunction with SSL io. (Niels Ganser)
  [#]# 3.2.5
  [#]## Bug Fixes
  * [RUBY-1024](https://jira.mongodb.org/browse/RUBY-1024) Fixed Hash#merge only to yield when keys
    exist in both hashes. (Agis Anastasopoulos)
* Sat Sep  5 2015 coolo@suse.com
- updated to version 3.2.4
  see installed CHANGELOG.md
  [#]# 3.2.4
  [#]## Bug Fixes
  * [RUBY-1019](https://jira.mongodb.org/browse/RUBY-1019) Performace improvements on deserialization.
* Fri Sep  4 2015 coolo@suse.com
- updated to version 3.2.3
  see installed CHANGELOG.md
  [#]# 3.2.3
  [#]## Bug Fixes
  * [#41](https://github.com/mongodb/bson-ruby/pull/41) Normalizing arrays does not mutate. (Agis Anastasopoulos)
  * [#40](https://github.com/mongodb/bson-ruby/pull/40) Added big endian support. (Jeff Blight)
  * [RUBY-1019](https://jira.mongodb.org/browse/RUBY-1019) Performace improvements on deserialization.
* Fri Jul 31 2015 coolo@suse.com
- updated to version 3.2.1
  see installed CHANGELOG.md
  [#]# 3.2.1
  [#]## Bug Fixes
  [#39](https://github.com/mongodb/bson-ruby/pull/39) Fixed MD5 hashing of hostname in c extension.
    (James Hudon)
* Thu Jul 23 2015 coolo@suse.com
- updated to version 3.2.0
  see installed CHANGELOG.md
  [#]# 3.2.0
  [#]## Bug Fixes
  * [RUBY-950](https://jira.mongodb.org/browse/RUBY-950) Don't encode to UTF-8 in Binary#to_bson, only force BINARY encoding.
  [#]## New features
  * Add `BSON.ObjectId` constructor for instantiating an ObjectId from a String. Update ObjectId#inspect to print out a string that can be evaluated into the corresponding ObjectId. (Tony Ta)
* Thu Jul  2 2015 coolo@suse.com
- updated to version 3.1.2
  see installed CHANGELOG.md
  [#]# 3.1.2
  [#]## Bug Fixes
  * [RUBY-950](https://jira.mongodb.org/browse/RUBY-950) Encode to UTF-8 then force
    BINARY encoding in Binary#to_bson.
* Wed Jun 24 2015 coolo@suse.com
- updated to version 3.1.1
  see installed CHANGELOG.md
  [#]# 3.1.1
  [#]## Bug Fixes
  * Fixed argument errors when delegating to regex objects. (Tom Scott)
* Fri Jun 12 2015 coolo@suse.com
- updated to version 3.1.0
  see installed CHANGELOG.md
  [#]# 3.1.0
  [#]## New Features
  * `BSON::Regexp::Raw` now behaves like a regular `Regexp` by delegating to the compiled and
    wrapped regex. (Tom Scott)
  [#]## Bug Fixes
  * Fixed `inspect` on `BSON::Binary` to handle ASCII characters. (Jérémy Carlier)
* Fri Jun  5 2015 coolo@suse.com
- updated to version 3.0.4
  see installed CHANGELOG.md
  [#]# 3.0.4
  [#]## Bug Fixes
  * Fixed `BSON::ObjectId.legal?` regular expression to properly check beginning and end of strings.
* Wed May 20 2015 coolo@suse.com
- updated to version 3.0.3
  see installed CHANGELOG.md
  [#]# 3.0.3
  [#]## Bug Fixes
  * [#31](https://github.com/mongodb/bson-ruby/pull/31) Fix Int64 decode from strings.
    (Nobuyoshi Nakada)
* Sun Apr 26 2015 coolo@suse.com
- updated to version 3.0.2
  see installed CHANGELOG.md
  [#]# 3.0.2
  [#]## Bug Fixes
  * [RUBY-898](https://jira.mongodb.org/browse/RUBY-898) Compensated for different
    return values of Socket#readbyte and OpenSSL::SSL::SSLSocket#readbyte.
* Tue Mar 31 2015 coolo@suse.com
- updated to version 3.0.1
* Thu Feb 19 2015 coolo@suse.com
- updated to version 3.0.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 14 2014 coolo@suse.com
- updated to version 2.3.0
* Sun May 18 2014 coolo@suse.com
- updated to version 2.2.3
  [#]## Bug Fixes
  * Fixed native C encoding of strings and performace on Rubinius.
* Sun Apr  6 2014 coolo@suse.com
- updated to version 2.2.2
  [#]## Bug Fixes
  * [#17](http://github.com/mongodb/bson-ruby/pull/17):
  Fixed `BSON::ObjectId` counter increment on Ruby 2.1.0 since method names
  can no longer override Ruby keywords.
  * [#16](http://github.com/mongodb/bson-ruby/pull/16):
  Fixed serialization of times when microseconds are causing `to_f` on time to
  be 1 microsecond inaccurate. (Francois Bernier)
* Sat Feb 22 2014 coolo@suse.com
- updated to version 2.2.1
  [#]## Bug Fixes
  * [#15](http://github.com/mongodb/bson-ruby/pull/15):
  `Date` and `DateTime` instances now return the `Time` value for the BSON
  type, so that they can be serialized inside hashes and arrays. (Michael Sell)
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.2.0
  [#]## Dependency Changes
  * Ruby 1.8 interpreters are no longer supported.
* Tue Jan 21 2014 coolo@suse.com
- use new macros
* Mon Jan 20 2014 coolo@suse.com
- updated to version 2.1.2
  [#]## Bug Fixes
  * \#14: Fixed all 1.8 errors related to `DateTime` serialization.
  * \#13 / RUBY-714: Require time in `DateTime` modules when using outside of
    environments that don't already have time included.
  [#]# 2.1.0
  [#]## New Features
  * `Date` and `DateTime` objects in Ruby can now be serialized into BSON. `Date` is
    converted to a UTC `Time` at midnight and serialized, while `DateTime` is simply
    converted to the identical `Time` before serialization. Note that these objects
    will be deserialized into `Time` objects.
* Tue Dec  3 2013 coolo@suse.com
- updated to version 2.0.0
  [#]## Backwards Incompatible Changes
  * `BSON::DEFAULT_MAX_BSON_SIZE` has been removed, as the BSON specification does not
  provide an upper limit on how large BSON documents can be.
  * `BSON.serialize` is no longer the entry point to serialize a BSON document into its
  raw bytes.
    For Ruby runtimes that support ordered hashes, you may simply call `to_bson` on
    the hash instance (Alternatively a `BSON::Document` is also a hash:
    { key: "value" }.to_bson
    BSON::Document[:key, "value"].to_bson
    For Ruby runtimes that do not support ordered hashes, then you must instantiate
    an instance of a `BSON::Document` (which is a subclass of hash) and call `to_bson`
    on that, since the BSON specification guarantees order of the fields:
    BSON::Document[:key, "value"].to_bson
  * `BSON.deserialize` is no longer the entry point for raw byte deserialization into
  a document.
    For Ruby runtimes that support ordered hashes, you may simply call `from_bson` on
    the `Hash` class if you want a `Hash` instance, or on `BSON::Document` if you
    want an instance of that. The input must be a `StringIO` object:
    Hash.from_bson(stringio)
    BSON::Document.from_bson(stringio)
    For Ruby runtimes that do not support ordered hashes, then `from_bson` must be
    called on `BSON::Document` in order to guarantee order:
    BSON::Document.from_bson(stringio)
  * Calling `to_json` on custom BSON objects now outputs different results from before, and
  conforms the BSON specification:
  - `BSON::Binary`: `{ "$binary" : "\x01", "$type" : "md5" }`
  - `BSON::Code`: `{ "$code" : "this.v = 5 }`
  - `BSON::CodeWithScope`: `{ "$code" : "this.v = value", "$scope" : { v => 5 }}`
  - `BSON::MaxKey`: `{ "$maxKey" : 1 }`
  - `BSON::MinKey`: `{ "$minKey" : 1 }`
  - `BSON::ObjectId`: `{ "$oid" : "4e4d66343b39b68407000001" }`
  - `BSON::Timestamp`: `{ "t" : 5, "i" : 30 }`
  - `Regexp`: `{ "$regex" : "[abc]", "$options" : "i" }`
  [#]## New Features
  * All Ruby objects that have a corresponding object defined in the BSON specification
  can now have `to_bson` called on them to get the raw BSON bytes. These objects include:
  - `Array`
  - `FalseClass`
  - `Float`
  - `Hash`
  - `Integer`
  - `NilClass`
  - `Regexp`
  - `String`
  - `Symbol` (deprecated)
  - `Time`
  - `TrueClass`
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.9.2
* Wed Jul 31 2013 coolo@suse.com
- updated to version 1.9.1
* Thu Jun 13 2013 coolo@suse.com
- updated to version 1.9.0
* Sun May 26 2013 coolo@suse.com
- updated to version 1.8.6
* Sat Apr 13 2013 coolo@suse.com
- updated to version 1.8.5
* Wed Jan 23 2013 coolo@suse.com
- updated to version 1.8.2
* Thu Jan  3 2013 coolo@suse.com
- updated to version 1.8.1
* Tue Nov 27 2012 coolo@suse.com
- updated to version 1.8.0
* Fri Nov 16 2012 coolo@suse.com
- updated to version 1.7.1
* Wed Aug 29 2012 coolo@suse.com
- updated to version 1.7.0
* Tue Dec  6 2011 jmassaguerpla@suse.com
- updated to 1.5.1
* Wed Oct 26 2011 fcastelli@suse.com
- update to 1.4.1
* Tue Mar 29 2011 kkaempf@novell.com
- update to 1.2.4
- split off -doc subpackage
* Mon Jun 14 2010 mrueckert@suse.de
- initial package
